export default class ListenerRSSInfos {
  _name: string = ""; // name of the listener
  _address: string = ""; // feed's address
  _timeloop: number | undefined = 5 * 60; // update time RSS feed
  _customfields: string[][] | undefined = []; // rss fields custom

  constructor(
    name: string,
    address: string,
    timeloop?: number,
    customfields?: string[][]
  ) {
    if (name !== undefined && address !== undefined) {
      this._name = name;
      this._address = address;
      this._timeloop = timeloop;
      this._customfields = customfields;
    } else throw new Error("Bad constructor's args");
  }

  set timeloop(value) {
    this._timeloop = value;
  }

  set customfields(value) {
    this._customfields = value;
  }

  get name() {
    return this._name;
  }

  get address() {
    return this._address;
  }

  get timeloop() {
    return this._timeloop;
  }

  get customfields() {
    return this._customfields;
  }
}
